Get a single inbox item
GET
/inbox/v1/notifications/{id}
const url = 'https://your-notavia-host/inbox/v1/notifications/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://your-notavia-host/inbox/v1/notifications/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Responses
Section titled “ Responses ”Inbox item.
Media type application/json
object
id
string format: uuid
subject
string
html_body
string
text_body
string
action_url
string
is_read
boolean
created_at
string format: date-time
read_at
string format: date-time
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "subject": "example", "html_body": "example", "text_body": "example", "action_url": "example", "is_read": true, "created_at": "2026-04-15T12:00:00Z", "read_at": "2026-04-15T12:00:00Z"}Missing or invalid credentials.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Resource not found.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}